#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kgallerydialogbase.ui'
**
** Created: 2012-10-09T21:38:35
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kgallerydialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qframe.h>
#include <qsplitter.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KGalleryDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KGalleryDialogBase::KGalleryDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KGalleryDialogBase" );
    setFocusPolicy( QDialog::TabFocus );
    KGalleryDialogBaseLayout = new QVBoxLayout( this, 11, 6, "KGalleryDialogBaseLayout"); 

    tqlayout13 = new QHBoxLayout( 0, 0, 6, "tqlayout13"); 

    tqlayout4 = new QVBoxLayout( 0, 0, 6, "tqlayout4"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    textLabel1_2->setTqalignment( int( QLabel::AlignVCenter ) );
    tqlayout4->addWidget( textLabel1_2 );

    lineName = new QLineEdit( this, "lineName" );
    tqlayout4->addWidget( lineName );
    tqlayout13->addLayout( tqlayout4 );

    tqlayout3 = new QVBoxLayout( 0, 0, 6, "tqlayout3"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    tqlayout3->addWidget( textLabel2 );

    lineAddress = new QLineEdit( this, "lineAddress" );
    tqlayout3->addWidget( lineAddress );
    tqlayout13->addLayout( tqlayout3 );

    tqlayout12 = new QVBoxLayout( 0, 0, 6, "tqlayout12"); 
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Preferred );
    tqlayout12->addItem( spacer4 );

    buttonAdd = new QPushButton( this, "buttonAdd" );
    buttonAdd->setTqminimumSize( QSize( 100, 0 ) );
    tqlayout12->addWidget( buttonAdd );
    tqlayout13->addLayout( tqlayout12 );
    KGalleryDialogBaseLayout->addLayout( tqlayout13 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    KGalleryDialogBaseLayout->addWidget( line1 );

    _split = new QSplitter( this, "_split" );
    _split->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, _split->sizePolicy().hasHeightForWidth() ) );
    _split->setOrientation( QSplitter::Horizontal );

    listServers = new QListView( _split, "listServers" );
    listServers->addColumn( tr2i18n( "Servers" ) );
    listServers->addColumn( tr2i18n( "Address" ) );
    listServers->header()->setClickEnabled( FALSE, listServers->header()->count() - 1 );
    listServers->setAllColumnsShowFocus( TRUE );
    listServers->setShowSortIndicator( TRUE );

    listDocuments = new QListView( _split, "listDocuments" );
    listDocuments->addColumn( tr2i18n( "Description" ) );
    listDocuments->addColumn( tr2i18n( "Language" ) );
    listDocuments->addColumn( tr2i18n( "Category" ) );
    listDocuments->addColumn( tr2i18n( "Type" ) );
    listDocuments->addColumn( tr2i18n( "Author" ) );
    listDocuments->addColumn( tr2i18n( "Address" ) );
    listDocuments->setAllColumnsShowFocus( TRUE );
    listDocuments->setShowSortIndicator( TRUE );
    KGalleryDialogBaseLayout->addWidget( _split );

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setTqminimumSize( QSize( 100, 0 ) );
    tqlayout2->addWidget( buttonHelp );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer2 );

    buttonOpen = new QPushButton( this, "buttonOpen" );
    buttonOpen->setTqminimumSize( QSize( 100, 0 ) );
    buttonOpen->setDefault( TRUE );
    tqlayout2->addWidget( buttonOpen );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setTqminimumSize( QSize( 100, 0 ) );
    tqlayout2->addWidget( buttonCancel );
    KGalleryDialogBaseLayout->addLayout( tqlayout2 );
    languageChange();
    resize( QSize(657, 400).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonAdd, SIGNAL( clicked() ), this, SLOT( slotButtonAdd() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonOpen, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( listServers, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( slotServerSelected(QListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KGalleryDialogBase::~KGalleryDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KGalleryDialogBase::languageChange()
{
    setCaption( tr2i18n( "Gallery" ) );
    textLabel1_2->setText( tr2i18n( "Name:" ) );
    textLabel2->setText( tr2i18n( "Address:" ) );
    buttonAdd->setText( tr2i18n( "&Add Server" ) );
    listServers->header()->setLabel( 0, tr2i18n( "Servers" ) );
    listServers->header()->setLabel( 1, tr2i18n( "Address" ) );
    listDocuments->header()->setLabel( 0, tr2i18n( "Description" ) );
    listDocuments->header()->setLabel( 1, tr2i18n( "Language" ) );
    listDocuments->header()->setLabel( 2, tr2i18n( "Category" ) );
    listDocuments->header()->setLabel( 3, tr2i18n( "Type" ) );
    listDocuments->header()->setLabel( 4, tr2i18n( "Author" ) );
    listDocuments->header()->setLabel( 5, tr2i18n( "Address" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonOpen->setText( tr2i18n( "&Open" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

void KGalleryDialogBase::slotButtonAdd()
{
    qWarning( "KGalleryDialogBase::slotButtonAdd(): Not implemented yet" );
}

void KGalleryDialogBase::slotServerSelected(QListViewItem*)
{
    qWarning( "KGalleryDialogBase::slotServerSelected(QListViewItem*): Not implemented yet" );
}

#include "kgallerydialogbase.moc"
